Name:           python-pyphen
Version:        0.7
Release:        2%{?dist}
Group:          Development/Libraries
Summary:        Pure Python module to hyphenate text
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/Pyphen/
Source0:        https://github.com/Kozea/Pyphen/archive/%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools

# Fedora-specific patch to use hyphenation dictionaries in /usr/share/hyphen
# Desktop users will likely have hyphenation dictionaries installed
# for the languages they use, as part of the Libreoffice language
# packs, but if not, they can be installed separately.
Patch0:         pyphen-0.7-shared-dicts.patch

%description
Pyphen is a pure Python module to hyphenate text using existing
hyphenation dictionaries, e.g., from Libreoffice language packs.

%prep
%setup -q -n Pyphen-%{version}
%patch0 -p1 -b .shared-dict
rm -rf pyphen/dictionaries

%build
%{__python} setup.py build

# I'd like to have a test section, but the provided tests would require
# hyphenation dictionaries for many languages to be installed.

%install
%{__python} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

%files
%doc COPYING README
%{python_sitelib}/pyphen
%{python_sitelib}/Pyphen-%{version}-py%{python_version}.egg-info

%changelog
* Mon Jul 22 2013 Eric Smith <brouhaha@fedoraproject.org> 0.7-2
- Removed requirement for hyphen-en.
- Changed files section based on review request.

* Sun Jul 21 2013 Eric Smith <brouhaha@fedoraproject.org> 0.7-1
- initial version
